-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlSettings

Declaration :

- C++ : class UmlSettings
- Java : abstract class UmlSettings

Directly inherited by : CppSettings IdlSettings JavaSettings

Do NOT use it, refer to CppSettings, JavaSettings and IdlSettings classes

Artifact : UmlSettings

Operation UmlSettings

Declaration :

- C++ : protected: UmlSettings()
- Java : protected UmlSettings()

never called !

Attribut _defined

Declaration :

- C++ : protected: static bool _defined
- Java : protected static boolean _defined

Attribut _map_builtins

Declaration :

- C++ : protected: static QDict<UmlBuiltin> _map_builtins
- Java : protected static Hashtable _map_builtins

Relation _builtins (<unidirectional association>)

Declaration :

- C++ : protected: static UmlBuiltin * _builtins
- Java : protected static UmlBuiltin[] _builtins

Attribut _map_relation_stereotypes

Declaration :

- C++ : protected: static QDict<UmlStereotype> _map_relation_stereotypes
- Java : protected static Hashtable _map_relation_stereotypes

Relation _relation_stereotypes (<unidirectional association>)

Declaration :

- C++ : protected: static UmlStereotype * _relation_stereotypes
- Java : protected static UmlStereotype[] _relation_stereotypes

Attribut _map_class_stereotypes

Declaration :

- C++ : protected: static QDict<UmlStereotype> _map_class_stereotypes
- Java : protected static Hashtable _map_class_stereotypes

Relation _class_stereotypes (<unidirectional association>)

Declaration :

- C++ : protected: static UmlStereotype * _class_stereotypes
- Java : protected static UmlStereotype[] _class_stereotypes

Operation read_

Declaration :

- C++ : protected: static void read_()
- Java : protected static void read_()

internal, do NOT use it

Operation read_if_needed_

Declaration :

- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

internal, do NOT use it

Operation multiplicity_column

Declaration :

- C++ : protected: static unsigned multiplicity_column(const QCString & mult)
- Java : protected static int multiplicity_column(String mult)

internal, do NOT use it

Operation uml_type

Declaration :

- C++ : protected: static QCString uml_type(const QCString & t, QCString UmlBuiltin::* f)

internal, do NOT use it

Operation uml_rel_stereotype

Declaration :

- C++ : protected: static QCString uml_rel_stereotype(const QCString & t, QCString UmlStereotype::* f)

internal, do NOT use it

Operation uml_class_stereotype

Declaration :

- C++ : protected: static QCString uml_class_stereotype(const QCString & t, QCString UmlStereotype::* f)

internal, do NOT use it

Operation add_type

Declaration :

- C++ : protected: static UmlBuiltin * add_type(const QCString & s)
- Java : protected static UmlBuiltin add_type(String s)

internal, do NOT use it

Operation add_rel_stereotype

Declaration :

- C++ : protected: static UmlStereotype * add_rel_stereotype(const QCString & s)
- Java : protected static UmlStereotype add_rel_stereotype(String s)

internal, do NOT use it

Operation add_class_stereotype

Declaration :

- C++ : protected: static UmlStereotype * add_class_stereotype(const QCString & s)
- Java : protected static UmlStereotype add_class_stereotype(String s)

internal, do NOT use it